package com.railway.web.controller.business.baseinfo;

import com.railway.business.baseinfo.domain.BasePreventWind;
import com.railway.business.baseinfo.service.IBasePreventWindService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.WebDataBinder;
import com.railway.common.core.controller.BaseController;
import com.railway.common.core.domain.AjaxResult;
import com.railway.common.core.page.TableDataInfo;
import javax.validation.Valid;
import java.util.List;

import javax.validation.Valid;

@Api(value = "rest/baseinfo/base/prevent/wind", tags = "基础数据-九防台账-防风")
@RestController
@Validated
@RequestMapping(value = "business/baseinfo/base/prevent/wind")
public class BasePreventWindController extends BaseController {
    @Autowired
    private IBasePreventWindService basePreventWindService;

    @ApiOperation(value = "新增")
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody BasePreventWind basePreventWind) {
        return toAjax(basePreventWindService.create(basePreventWind));
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("/{ids}")
    public AjaxResult delete(@RequestParam String[] ids) {
        return toAjax(basePreventWindService.delete(ids));
    }

    @ApiOperation(value = "更新")
    @PutMapping("/update")
    public AjaxResult update(@RequestBody @Valid BasePreventWind basePreventWind) {
        return toAjax(basePreventWindService.update(basePreventWind));
    }

    @ApiOperation(value = "单个")
    @GetMapping(value = {"/", "/{id}"})
    public AjaxResult getInfo(String id) {
        BasePreventWind info = basePreventWindService.getInfo(id);
        AjaxResult ajax = AjaxResult.success();
        ajax.put("info",info);
        return ajax;
    }

    @ApiOperation(value = "列表")
    @GetMapping(value = "list")
    public TableDataInfo getList(BasePreventWind basePreventWind) {
        startPage();
        List<BasePreventWind> list = basePreventWindService.getList(basePreventWind);
        return getDataTable(list);
    }

}
